gtkmm: Gtk::TreeNodeChildren Class Reference

gtkmm 4.8.0

Public Types | Public Member Functions | List of all members
Gtk::TreeNodeChildren Class Reference
TreeView Classes

Typedefed as TreeModel::Children. More...

`#include <gtkmm/treeiter.h>`

Inheritance diagram for Gtk::TreeNodeChildren:
[legend]

## Public Types
using | value_type = Gtk::TreeRow
using | iterator = Gtk::TreeIter< Gtk::TreeRow >
Public Types inherited from Gtk::TreeNodeConstChildren
using | value_type = Gtk::TreeConstRow
using | size_type = unsigned int
using | difference_type = int
using | const_iterator = Gtk::TreeIter< Gtk::TreeConstRow >

## Public Member Functions
iterator | begin ()
iterator | end ()
value_type | operator[] (size_type index)
const_iterator | begin () const
const_iterator | end () const
Public Member Functions inherited from Gtk::TreeNodeConstChildren
const_iterator | begin () const
const_iterator | end () const
const value_type | operator[] (size_type index) const
size_type | size () const
bool | empty () const
| operator bool () const
| Discover whether this is a valid container. More...
Public Member Functions inherited from Gtk::TreeIterBase
| TreeIterBase (const TreeIterBase & other) noexcept
TreeIterBase & | operator= (const TreeIterBase & other) noexcept
| TreeIterBase (TreeIterBase && other) noexcept
TreeIterBase & | operator= (TreeIterBase && other) noexcept
| TreeIterBase ()
| TreeIterBase (const GtkTreeIter * gobject)
GtkTreeIter * | gobj ()
| Provides access to the underlying C instance. More...
const GtkTreeIter * | gobj () const
| Provides access to the underlying C instance. More...

## Additional Inherited Members
Static Public Member Functions inherited from Gtk::TreeIterBase
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Protected Attributes inherited from Gtk::TreeIterBase
GtkTreeIter | gobject_

## Detailed Description

Typedefed as TreeModel::Children.

Virtual container of TreeModel::Row items.

## Member Typedef Documentation

## ◆ iterator

using Gtk::TreeNodeChildren::iterator = Gtk::TreeIter<Gtk::TreeRow>

## ◆ value_type

using Gtk::TreeNodeChildren::value_type = Gtk::TreeRow

## Member Function Documentation

## ◆ begin() [1/2]

iterator Gtk::TreeNodeChildren::begin | ( |  | ) |

## ◆ begin() [2/2]

const_iterator Gtk::TreeNodeConstChildren::begin | ( |  | ) | const

## ◆ end() [1/2]

iterator Gtk::TreeNodeChildren::end | ( |  | ) |

## ◆ end() [2/2]

const_iterator Gtk::TreeNodeConstChildren::end | ( |  | ) | const

## ◆ operator[]()

value_type Gtk::TreeNodeChildren::operator[] | ( | size_type | index | ) |